Subject: Re: Correcting timestamps when importing archives to git

From: David Greaves <[email-masked]>
Date: Tue, 26 Feb 2008 12:55:07 +0000

Johannes Schindelin wrote:
> 
> Wow.  That is sure one of the most complicated ways to go about it.
Depends. after checking the git pages for time arguments then spoofing the time
is (was!) the most obvious way to do it IMO :)
Thereafter it took a few seconds to google faketime, download and implement.

> IMO GIT_AUTHOR_DATE and GIT_COMMITTER_DATE (mentioned in 
> Documentation/git.txt, and described in Documentation/git-commit-tree.txt) 
> would have been the tools to use.

Indeed - I forgot all about those - and I wrote the first versions of those
files IIRC!

The variables are not written about much more and didn't show up when I was
googling for managing git timestamps/dates. Maybe they will now.

And - the whole point of the email was for the archives - so thanks for the
reply and the reminder/better suggestion.

David